com.genesyslab.wfm8.API.service.config850

## Class CfgStateGroup

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config850.CfgStateGroup

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgStateGroup
      extends java.lang.Object
      implements java.io.Serializable

  State Group Information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp`
    `protected int` | `wmBUId`
    `protected java.lang.String` | `wmChannelName`
    `protected boolean` | `wmChannelSpecified`
    `protected int` | `wmColor`
    `protected int` | `wmEndMinutesAfter`
    `protected int` | `wmFontColor`
    `protected int` | `wmForMigration`
    `protected java.lang.String` | `wmName`
    `protected java.lang.String` | `wmShortName`
    `protected java.util.List<java.lang.Integer>` | `wmSiteId`
    `protected int` | `wmSiteIdNSizeIs`
    `protected int` | `wmStartMinutesBefore`
    `protected int` | `wmStateGroupId`
    `protected java.util.List<CfgStateMapping>` | `wmStateMappings`
    `protected int` | `wmStateMappingsNSizeIs`
    `protected java.util.List<java.lang.Integer>` | `wmStates`
    `protected int` | `wmStatesNSizeIs`
    `protected int` | `wmType`
    `protected int` | `wmWeight`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgStateGroup()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `int` | `getWmBUId()` Gets the value of the wmBUId property.
    `java.lang.String` | `getWmChannelName()` Gets the value of the wmChannelName property.
    `int` | `getWmColor()` Gets the value of the wmColor property.
    `int` | `getWmEndMinutesAfter()` Gets the value of the wmEndMinutesAfter property.
    `int` | `getWmFontColor()` Gets the value of the wmFontColor property.
    `int` | `getWmForMigration()` Gets the value of the wmForMigration property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `java.lang.String` | `getWmShortName()` Gets the value of the wmShortName property.
    `java.util.List<java.lang.Integer>` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmSiteIdNSizeIs()` Gets the value of the wmSiteIdNSizeIs property.
    `int` | `getWmStartMinutesBefore()` Gets the value of the wmStartMinutesBefore property.
    `int` | `getWmStateGroupId()` Gets the value of the wmStateGroupId property.
    `java.util.List<CfgStateMapping>` | `getWmStateMappings()` Gets the value of the wmStateMappings property.
    `int` | `getWmStateMappingsNSizeIs()` Gets the value of the wmStateMappingsNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmStates()` Gets the value of the wmStates property.
    `int` | `getWmStatesNSizeIs()` Gets the value of the wmStatesNSizeIs property.
    `int` | `getWmType()` Gets the value of the wmType property.
    `int` | `getWmWeight()` Gets the value of the wmWeight property.
    `int` | `hashCode()`
    `boolean` | `isWmChannelSpecified()` Gets the value of the wmChannelSpecified property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmBUId(int value)` Sets the value of the wmBUId property.
    `void` | `setWmChannelName(java.lang.String value)` Sets the value of the wmChannelName property.
    `void` | `setWmChannelSpecified(boolean value)` Sets the value of the wmChannelSpecified property.
    `void` | `setWmColor(int value)` Sets the value of the wmColor property.
    `void` | `setWmEndMinutesAfter(int value)` Sets the value of the wmEndMinutesAfter property.
    `void` | `setWmFontColor(int value)` Sets the value of the wmFontColor property.
    `void` | `setWmForMigration(int value)` Sets the value of the wmForMigration property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmShortName(java.lang.String value)` Sets the value of the wmShortName property.
    `void` | `setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)` Sets the value of the wmSiteId property.
    `void` | `setWmSiteIdNSizeIs(int value)` Sets the value of the wmSiteIdNSizeIs property.
    `void` | `setWmStartMinutesBefore(int value)` Sets the value of the wmStartMinutesBefore property.
    `void` | `setWmStateGroupId(int value)` Sets the value of the wmStateGroupId property.
    `void` | `setWmStateMappings(java.util.List<CfgStateMapping> wmStateMappings)` Sets the value of the wmStateMappings property.
    `void` | `setWmStateMappingsNSizeIs(int value)` Sets the value of the wmStateMappingsNSizeIs property.
    `void` | `setWmStates(java.util.List<java.lang.Integer> wmStates)` Sets the value of the wmStates property.
    `void` | `setWmStatesNSizeIs(int value)` Sets the value of the wmStatesNSizeIs property.
    `void` | `setWmType(int value)` Sets the value of the wmType property.
    `void` | `setWmWeight(int value)` Sets the value of the wmWeight property.
    `java.lang.String` | `toString()`
    `CfgStateGroup` | `withTimestamp(long value)`
    `CfgStateGroup` | `withWmBUId(int value)`
    `CfgStateGroup` | `withWmChannelName(java.lang.String value)`
    `CfgStateGroup` | `withWmChannelSpecified(boolean value)`
    `CfgStateGroup` | `withWmColor(int value)`
    `CfgStateGroup` | `withWmEndMinutesAfter(int value)`
    `CfgStateGroup` | `withWmFontColor(int value)`
    `CfgStateGroup` | `withWmForMigration(int value)`
    `CfgStateGroup` | `withWmName(java.lang.String value)`
    `CfgStateGroup` | `withWmShortName(java.lang.String value)`
    `CfgStateGroup` | `withWmSiteId(java.util.Collection<java.lang.Integer> values)`
    `CfgStateGroup` | `withWmSiteId(java.lang.Integer... values)`
    `CfgStateGroup` | `withWmSiteIdNSizeIs(int value)`
    `CfgStateGroup` | `withWmStartMinutesBefore(int value)`
    `CfgStateGroup` | `withWmStateGroupId(int value)`
    `CfgStateGroup` | `withWmStateMappings(CfgStateMapping... values)`
    `CfgStateGroup` | `withWmStateMappings(java.util.Collection<CfgStateMapping> values)`
    `CfgStateGroup` | `withWmStateMappingsNSizeIs(int value)`
    `CfgStateGroup` | `withWmStates(java.util.Collection<java.lang.Integer> values)`
    `CfgStateGroup` | `withWmStates(java.lang.Integer... values)`
    `CfgStateGroup` | `withWmStatesNSizeIs(int value)`
    `CfgStateGroup` | `withWmType(int value)`
    `CfgStateGroup` | `withWmWeight(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmStateGroupId

          protected int wmStateGroupId

    - #### wmBUId

          protected int wmBUId

    - #### wmSiteIdNSizeIs

          protected int wmSiteIdNSizeIs

    - #### wmSiteId

          protected java.util.List<java.lang.Integer> wmSiteId

    - #### wmName

          protected java.lang.String wmName

    - #### wmShortName

          protected java.lang.String wmShortName

    - #### wmStartMinutesBefore

          protected int wmStartMinutesBefore

    - #### wmEndMinutesAfter

          protected int wmEndMinutesAfter

    - #### wmForMigration

          protected int wmForMigration

    - #### wmColor

          protected int wmColor

    - #### wmFontColor

          protected int wmFontColor

    - #### wmWeight

          protected int wmWeight

    - #### wmType

          protected int wmType

    - #### wmChannelSpecified

          protected boolean wmChannelSpecified

    - #### wmChannelName

          protected java.lang.String wmChannelName

    - #### wmStatesNSizeIs

          protected int wmStatesNSizeIs

    - #### wmStates

          protected java.util.List<java.lang.Integer> wmStates

    - #### wmStateMappingsNSizeIs

          protected int wmStateMappingsNSizeIs

    - #### wmStateMappings

          protected java.util.List<CfgStateMapping> wmStateMappings

    - #### timestamp

          protected long timestamp

  - ### Constructor Detail

    - #### CfgStateGroup

          public CfgStateGroup()

  - ### Method Detail

    - #### getWmStateGroupId

          public int getWmStateGroupId()

      Gets the value of the wmStateGroupId property.

    - #### setWmStateGroupId

          public void setWmStateGroupId(int value)

      Sets the value of the wmStateGroupId property.

    - #### getWmBUId

          public int getWmBUId()

      Gets the value of the wmBUId property.

    - #### setWmBUId

          public void setWmBUId(int value)

      Sets the value of the wmBUId property.

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the value of the wmSiteIdNSizeIs property.

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int value)

      Sets the value of the wmSiteIdNSizeIs property.

    - #### getWmSiteId

          public java.util.List<java.lang.Integer> getWmSiteId()

      Gets the value of the wmSiteId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmSiteId property.

      For example, to add a new item, do as follows:

              getWmSiteId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmShortName

          public java.lang.String getWmShortName()

      Gets the value of the wmShortName property.
      Returns:
        possible object is `String`

    - #### setWmShortName

          public void setWmShortName(java.lang.String value)

      Sets the value of the wmShortName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmStartMinutesBefore

          public int getWmStartMinutesBefore()

      Gets the value of the wmStartMinutesBefore property.

    - #### setWmStartMinutesBefore

          public void setWmStartMinutesBefore(int value)

      Sets the value of the wmStartMinutesBefore property.

    - #### getWmEndMinutesAfter

          public int getWmEndMinutesAfter()

      Gets the value of the wmEndMinutesAfter property.

    - #### setWmEndMinutesAfter

          public void setWmEndMinutesAfter(int value)

      Sets the value of the wmEndMinutesAfter property.

    - #### getWmForMigration

          public int getWmForMigration()

      Gets the value of the wmForMigration property.

    - #### setWmForMigration

          public void setWmForMigration(int value)

      Sets the value of the wmForMigration property.

    - #### getWmColor

          public int getWmColor()

      Gets the value of the wmColor property.

    - #### setWmColor

          public void setWmColor(int value)

      Sets the value of the wmColor property.

    - #### getWmFontColor

          public int getWmFontColor()

      Gets the value of the wmFontColor property.

    - #### setWmFontColor

          public void setWmFontColor(int value)

      Sets the value of the wmFontColor property.

    - #### getWmWeight

          public int getWmWeight()

      Gets the value of the wmWeight property.

    - #### setWmWeight

          public void setWmWeight(int value)

      Sets the value of the wmWeight property.

    - #### getWmType

          public int getWmType()

      Gets the value of the wmType property.

    - #### setWmType

          public void setWmType(int value)

      Sets the value of the wmType property.

    - #### isWmChannelSpecified

          public boolean isWmChannelSpecified()

      Gets the value of the wmChannelSpecified property.

    - #### setWmChannelSpecified

          public void setWmChannelSpecified(boolean value)

      Sets the value of the wmChannelSpecified property.

    - #### getWmChannelName

          public java.lang.String getWmChannelName()

      Gets the value of the wmChannelName property.

    - #### setWmChannelName

          public void setWmChannelName(java.lang.String value)

      Sets the value of the wmChannelName property.

    - #### getWmStatesNSizeIs

          public int getWmStatesNSizeIs()

      Gets the value of the wmStatesNSizeIs property.

    - #### setWmStatesNSizeIs

          public void setWmStatesNSizeIs(int value)

      Sets the value of the wmStatesNSizeIs property.

    - #### getWmStates

          public java.util.List<java.lang.Integer> getWmStates()

      Gets the value of the wmStates property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmStates property.

      For example, to add a new item, do as follows:

              getWmStates().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmStateMappingsNSizeIs

          public int getWmStateMappingsNSizeIs()

      Gets the value of the wmStateMappingsNSizeIs property.

    - #### setWmStateMappingsNSizeIs

          public void setWmStateMappingsNSizeIs(int value)

      Sets the value of the wmStateMappingsNSizeIs property.

    - #### getWmStateMappings

          public java.util.List<CfgStateMapping> getWmStateMappings()

      Gets the value of the wmStateMappings property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmStateMappings property.

      For example, to add a new item, do as follows:

              getWmStateMappings().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgStateMapping`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withWmStateGroupId

          public CfgStateGroup withWmStateGroupId(int value)

    - #### withWmBUId

          public CfgStateGroup withWmBUId(int value)

    - #### withWmSiteIdNSizeIs

          public CfgStateGroup withWmSiteIdNSizeIs(int value)

    - #### withWmSiteId

          public CfgStateGroup withWmSiteId(java.lang.Integer... values)

    - #### withWmSiteId

          public CfgStateGroup withWmSiteId(java.util.Collection<java.lang.Integer> values)

    - #### withWmName

          public CfgStateGroup withWmName(java.lang.String value)

    - #### withWmShortName

          public CfgStateGroup withWmShortName(java.lang.String value)

    - #### withWmStartMinutesBefore

          public CfgStateGroup withWmStartMinutesBefore(int value)

    - #### withWmEndMinutesAfter

          public CfgStateGroup withWmEndMinutesAfter(int value)

    - #### withWmForMigration

          public CfgStateGroup withWmForMigration(int value)

    - #### withWmColor

          public CfgStateGroup withWmColor(int value)

    - #### withWmFontColor

          public CfgStateGroup withWmFontColor(int value)

    - #### withWmWeight

          public CfgStateGroup withWmWeight(int value)

    - #### withWmType

          public CfgStateGroup withWmType(int value)

    - #### withWmChannelSpecified

          public CfgStateGroup withWmChannelSpecified(boolean value)

    - #### withWmChannelName

          public CfgStateGroup withWmChannelName(java.lang.String value)

    - #### withWmStatesNSizeIs

          public CfgStateGroup withWmStatesNSizeIs(int value)

    - #### withWmStates

          public CfgStateGroup withWmStates(java.lang.Integer... values)

    - #### withWmStates

          public CfgStateGroup withWmStates(java.util.Collection<java.lang.Integer> values)

    - #### withWmStateMappingsNSizeIs

          public CfgStateGroup withWmStateMappingsNSizeIs(int value)

    - #### withWmStateMappings

          public CfgStateGroup withWmStateMappings(CfgStateMapping... values)

    - #### withWmStateMappings

          public CfgStateGroup withWmStateMappings(java.util.Collection<CfgStateMapping> values)

    - #### withTimestamp

          public CfgStateGroup withTimestamp(long value)

    - #### setWmSiteId

          public void setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)

      Sets the value of the wmSiteId property.
      Parameters:
        `wmSiteId` - allowed object is `Integer`

    - #### setWmStates

          public void setWmStates(java.util.List<java.lang.Integer> wmStates)

      Sets the value of the wmStates property.
      Parameters:
        `wmStates` - allowed object is `Integer`

    - #### setWmStateMappings

          public void setWmStateMappings(java.util.List<CfgStateMapping> wmStateMappings)

      Sets the value of the wmStateMappings property.
      Parameters:
        `wmStateMappings` - allowed object is `CfgStateMapping`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.